# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libmad-devel libmodplug-devel libogg-devel libvorbis-devel pkgconfig(SDL2_mixer)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           qtads
Summary:        GUI multimedia interpreter for TADS games
Version:        2.1.7
Release:        alt1_5
License:        GPLv2+
Group:          Games/Adventure
URL:            http://qtads.sourceforge.net/
Source0:        http://downloads.sourceforge.net/qtads/%{name}-%{version}.tar.bz2
Patch0:         qtads-2.1.6-mga-disable-broken-forced-update-check.patch
Patch1:         qtads-2.1.7-fix-pointer_integer-comparison.patch
Patch2:         qtads-2.1.7-verbose-and-c++11.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  libSDL_sound-devel
Requires:     timidity-instruments
Source44: import.info

%description
QTads is a cross-platform multimedia interpreter for Tads (Text Adventure
Development System) games. Both Tads versions in use today (Tads 2 and Tads 3)
are supported. MIDI, Ogg Vorbis, MP3, and WAV sound formats are supported.

TADS is a programming language written by Michael J. Roberts, designed to
implement text-adventure games (Interactive Fiction), similar to those
developed by Infocom in 1980-1990, as well as other companies (like Legend
Entertainment, Level 9, etc). If you liked games like "Zork", "Adventure",
"Trinity", or "Eric the Unready", you'll feel right at home.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%qmake_qt5 \
    BIN_INSTALL=%{buildroot}%{_gamesbindir} \
    DOC_INSTALL=%{buildroot}%{_docdir} \
    DATA_INSTALL=%{buildroot}%{_datadir}
%make_build

%install
# there is no make install option at the moment, must be done manually
install -D -m755 %{name} %{buildroot}%{_gamesbindir}/%{name}

# everything is properly ordered according to FHS in the share directory
install -d %{buildroot}%{_datadir}
cp -a share/* %{buildroot}%{_datadir}

%files
%doc AUTHORS COPYING NEWS README HTML_TADS_LICENSE
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/application-x-*.png
%{_mandir}/man6/%{name}.6*


%changelog
* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_5
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_4
- update by mgaimport

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_3
- update by mgaimport

* Tue Jun 07 2016 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_1
- converted for ALT Linux by srpmconvert tools

